# SkipLogReset

### void SkipLogReset(short nStream, short nFunction)

EZGemPlus에서 SkipLog함수를 이용하여 Logging Skip설정을 해 둔 메시지의 로그를 다시 남기도록 설정하는 함수.

Parameters

<table data-header-hidden><thead><tr><th width="162" valign="top"></th><th width="161" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">nStream</td><td valign="top">short</td><td valign="top">Log를 Skip을 Reset 하려는 대상메시지의 Stream 값</td></tr><tr><td valign="top">nFunction</td><td valign="top">short</td><td valign="top">Log를 Skip을 Reset 하려는 대상메시지의 Function 값</td></tr></tbody></table>

```csharp
m_gem.SkipLogReset(1, 3);
```

skipLogReset()시 실시간으로 로그를 남기고 이후 해당  Message의 로그가 남게 됩니다.

<pre><code><a data-footnote-ref href="#user-content-fn-1">10:08:47(551) , [EZNET:EVENT]  [Function Call ] -> SkipLogReset(1,3),   LOG_SKIP = {  }</a>
10:09:06(171) , [HSMS:IN    ]  00 00 81 03 00 00 00 00 00 BF 01 00 
10:09:06(171) , [SECS-II:IN ]  S1F3, DeviceID=0, WBit=1, SystemByte=000000BF, TotalLength=12, MsgQue=0
		&#x3C;S1F3W
		   &#x3C;L[0/1]>
		>
10:09:06(184) , [EZNET:EVENT]  [Callback Event] -> EventID=411, param=65545
10:09:06(184) , [EZNET:EVENT]  [Callback Event] -> EventID=401, param=1003
10:09:06(184) , [HSMS:OUT   ]  00 00 01 04 00 00 00 00 00 BF 01 15 A5 01 03 A9 02 00 03 A9 02 00 00 A9 02 00 00 A5 01 00 41 00 41 00 A5 01 00 41 0E 32 30 32 36 30 34 30 33 31 30 30 39 30 35 B1 04 00 00 00 00 21 01 00 41 00 41 00 41 00 A5 01 00 01 64 B1 04 00 00 0F A0 B1 04 00 00 0F A1 B1 04 00 00 0F A2 B1 04 00 00 0F A3 B1 04 00 00 0F A4 B1 04 00 00 0F A5 B1 04 00 00 0F A6 B1 04 00 00 0F A7 B1 04 00 00 0F A8 B1 04 00 00 0F A9 B1 04 00 00 0F AA B1 04 00 00 0F AB B1 04 00 00 0F AC B1 04 00 00 0F AD B1 04 00 00 0F AE B1 04 00 00 0F AF B1 04 00 00 0F B0 B1 04 00 00 0F B1 B1 04 00 00 0F B2 B1 04 00 00 0F B3 B1 04 00 00 0F B4 B1 04 00 00 0F B5 B1 04 00 00 0F B6 B1 04 00 00 0F B7 B1 04 00 00 0F B8 B1 04 00 00 0F B9 B1 04 00 00 0F BA B1 04 00 00 0F BB B1 04 00 00 0F BC B1 04 00 00 0F BD B1 04 ...
10:09:06(184) , [SECS-II:OUT]  S1F4, DeviceID=0, WBit=0, SystemByte=000000BF, TotalLength=821, MsgQue=2
		&#x3C;S1F4
		   &#x3C;L[21/1]
</code></pre>

[^1]:


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-2/skiplogreset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
